National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2010-1099 Detail

Description

Integer overflow in Apple Safari allows remote attackers to bypass intended port restrictions on outbound TCP connections via a port number outside the range of the unsigned short data type, as demonstrated by a value of 65561 for TCP port 25.

Source:  MITRE      Last Modified:  03/24/2010

Quick Info

CVE Dictionary Entry:
CVE-2010-1099
Original release date:
03/24/2010
Last revised:
08/16/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
5.0 MEDIUM
Vector:
(AV:N/AC:L/Au:N/C:N/I:P/A:N) (legend)
Impact Subscore:
2.9
Exploitability Subscore:
10.0
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://www.securityfocus.com/archive/1/archive/1/510283/100/0/threaded Exploit External Source BUGTRAQ 20100323 Safari browser port blocking bypassed by integer overflow
https://exchange.xforce.ibmcloud.com/vulnerabilities/57233 External Source XF safari-tcp-security-bypass(57233)

Technical Details

Vulnerability Type (View All)

  • Numeric Errors (CWE-189)
  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:apple:safari:*:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes